Skip to content
Start here

Get Field Extractor

client.FieldExtractors.Get(ctx, extractor, query) (*FieldExtractorGetResponse, error)
GET/accounts/{account_id}/field_extractors/{extractor}

Retrieves the custom extraction rules configured for a given extractor type.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
extractor string

Extractor type.

minLength1
query FieldExtractorGetParams
AccountID param.Field[string]

Cloudflare account ID.

minLength1
ReturnsExpand Collapse
type FieldExtractorGetResponse struct{…}
Extractor string

Extractor type.

Rules []FieldExtractorGetResponseRule
Fields []FieldExtractorGetResponseRulesField
Expression string

Wirefilter value expression.

Name string

Field name.

Ref string

Stable rule identifier.

Description stringOptional

Human-readable rule description.

Get Field Extractor

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/field_extractors"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  fieldExtractor, err := client.FieldExtractors.Get(
    context.TODO(),
    "llm_prompts",
    field_extractors.FieldExtractorGetParams{
      AccountID: cloudflare.F("123456"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", fieldExtractor.Extractor)
}
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "extractor": "llm_prompts",
    "rules": [
      {
        "fields": [
          {
            "expression": "filter(http.request.body.json.strings.values, http.request.body.json.strings.pointers[*] matches \"^/messages/\\\\d+/content$\")",
            "name": "prompt"
          }
        ],
        "ref": "openai-chat",
        "description": "description"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "extractor": "llm_prompts",
    "rules": [
      {
        "fields": [
          {
            "expression": "filter(http.request.body.json.strings.values, http.request.body.json.strings.pointers[*] matches \"^/messages/\\\\d+/content$\")",
            "name": "prompt"
          }
        ],
        "ref": "openai-chat",
        "description": "description"
      }
    ]
  },
  "success": true
}